import React from 'react';
import { storiesOf, action, linkTo } from '@kadira/storybook'
import {
  App,
  Pane,
  Content,
  Link
} from '../components'

export default function linkStory (module) {
  storiesOf('Link', module)
    .add('usage', () => (
      <App white>
        <Pane white padding={10}>
          <Content markdown>
{`
# Link

The Link component is a \`a\` or \`span\` element. Implement the \`<Text />\` component.

\`\`\`
<Link underline primary href=''>Primary Link</Link>
<Link secondary href=''>Secondary Link</Link>
<Link danger href=''>danger Link</Link>
<Link primary active href=''>Active Link becomes a span</Link>
\`\`\`

`}
          </Content>
          <Link underline primary href=''>Primary Link</Link>
          <Link secondary href=''>Secondary Link</Link>
          <Link danger href=''>danger Link</Link>
          <Link primary active href=''>Active Link becomes a span</Link>
          <Content markdown>
{`
prop | type | description
-----|------|-------------
\`underline\` | boolean | text-decoration: underline;
\`primary\` | boolean | primary intent styling
\`secondary\` | boolean | secondary intent styling
\`danger\` | boolean | danger intent styling
\`active\` | boolean | becomes a span and gets active className
`}
          </Content>
        </Pane>
      </App>
    ))
}
